package com.jasamedika.medifirst2000.vo;

import java.io.Serializable;
import javax.persistence.*;
import java.util.Date;
import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class GeneralProduk
 * 
 * @author Generator
 */
//@Entity
//@Table(name = "GeneralProduk_M")
public class GeneralProdukVO extends BaseMasterVO {
	@ManyToOne
	@JoinColumn(name = "ObjectDepartemenFk")
	@NotNull(message="Object DepartemenVO Harus Diisi")
	@Caption(value="Object Departemen")
	private DepartemenVO departemen;

	public void setDepartemen(DepartemenVO departemen) {
		this.departemen = departemen;
	}

	@Column(name = "KdDepartemen", nullable = false , length = 1)
	public DepartemenVO getDepartemen(){
		return this.departemen;
	}

	@Column(name = "ObjectDepartemenFk", insertable=false,updatable=false)
	private Integer departemenId;

	@ManyToOne
	@JoinColumn(name = "ObjectGDetailJenisProdukFk")
	@NotNull(message="Object G Detail Jenis ProdukVO Harus Diisi")
	@Caption(value="Object G Detail Jenis Produk")
	private GeneralDetailJenisProdukVO gDetailJenisProduk;

	public void setGDetailJenisProduk(GeneralDetailJenisProdukVO gDetailJenisProduk) {
		this.gDetailJenisProduk = gDetailJenisProduk;
	}

	@Column(name = "KdGDetailJenisProduk", nullable = false , length = 4)
	public GeneralDetailJenisProdukVO getGDetailJenisProduk(){
		return this.gDetailJenisProduk;
	}

	@Column(name = "ObjectGDetailJenisProdukFk", insertable=false,updatable=false)
	private Integer gDetailJenisProdukId;

	@Caption(value="Kode G Produk")
	private String kdGProduk;

	public void setKdGProduk(String kdGProduk) {
		this.kdGProduk = kdGProduk;
	}

	@Column(name = "KdGProduk", nullable = false , length = 6)
	public String getKdGProduk(){
		return this.kdGProduk;
	}

	@Caption(value="Nama G Produk")
	private String namaGProduk;

	public void setNamaGProduk(String namaGProduk) {
		this.namaGProduk = namaGProduk;
	}

	@Column(name = "NamaGProduk", nullable = false , length = 80)
	public String getNamaGProduk(){
		return this.namaGProduk;
	}

	@Caption(value="QNama G Produk")
	private Integer qNamaGProduk;

	public void setqNamaGProduk(Integer qNamaGProduk) {
		this.qNamaGProduk = qNamaGProduk;
	}

	@Column(name = "QNamaGProduk", nullable = false )
	public Integer getqNamaGProduk(){
		return this.qNamaGProduk;
	}


}

